﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;

namespace GoogleCharts_MVC_Core
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult AjaxMethod()
        {
            string query = "SELECT ShipCity, COUNT(orderid) TotalOrders";
            query += " FROM Orders WHERE ShipCountry = 'USA' GROUP BY ShipCity";
            string constr = @"Data Source=.\SQL2019;Initial Catalog=northwind;integrated security=true";
            List<object> chartData = new List<object>();
            chartData.Add(new object[]
                            {
                              "ShipCity", "TotalOrders"
                            });
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand(query))
                {
                    cmd.CommandType = CommandType.Text;
                    cmd.Connection = con;
                    con.Open();
                    using (SqlDataReader sdr = cmd.ExecuteReader())
                    {
                        while (sdr.Read())
                        {
                            chartData.Add(new object[]
                            {
                              sdr["ShipCity"], sdr["TotalOrders"]
                            });
                        }
                    }

                    con.Close();
                }
            }

            return Json(chartData);
        }
    }
}